/*
 * Intel ACPI Component Architecture
 * AML/ASL+ Disassembler version 20200925 (64-bit version)
 * Copyright (c) 2000 - 2020 Intel Corporation
 * 
 * Disassembling to symbolic ASL+ operators
 *
 * Disassembly of iASL6I6MMs.aml, Fri Apr 23 18:34:37 2021
 *
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x000000E3 (227)
 *     Revision         0x02
 *     Checksum         0x69
 *     OEM ID           "hack"
 *     OEM Table ID     "spoof1"
 *     OEM Revision     0x00000000 (0)
 *     Compiler ID      "INTL"
 *     Compiler Version 0x20200925 (538970405)
 */
DefinitionBlock ("", "SSDT", 2, "hack", "spoof1", 0x00000000)
{
    External (_SB_.PC02.BR2A.SL05, DeviceObj)

    Device (_SB.PC02.BR2A.SL05.PBR0) // Create a device for "pci-bridge@0" called PBR0 (Pci BRidge 0)
    {
        Name (_ADR, 0x00000000)  // Because it is pci-bridge@0, the _ADR is 0
        // Now create device GFX1 at this location in the PCI path
        Device (GFX1)
        {
            Name (_ADR, Zero)  // _ADR: Address
        }
    }

    // Now we can finally reach the GFX1 device
    Method (_SB.PC02.BR2A.SL05.PBR0.GFX1._DSM, 4, NotSerialized)  // _DSM: Device-Specific Method
    {
        If ((!Arg2 || !_OSI ("Darwin")))
        {
            Return (Buffer (One)
            {
                 0x03                                             // .
            })
        }

        Return (Package (0x04)
        {
            // Where we shove our FakeID
            "RM,device-id",
            Buffer (0x04)
            {
                0xAB, 0x73, 0x00, 0x00
            },

            // Changing the name of the GPU reported, mainly cosmetic
            "model",
            Buffer ()
            {
                "AMD Radeon 6900 XT"
            }
        })
    }
}

